using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;
using Machinations.FromFlash.graph;
using Machinations.FromFlash.machinations.model;

namespace Machinations.GUI
{
    public class LabelView : IObjectView<Label>
    {
        public string Label { get; set; }
        public Color BaseColor { get; set; }
        public ViewSelectionMode Selected { get; set; }
        public ViewHighlightMode Highlighted { get; set; }
        public UIElement UiElement { get; }
        public Point Position { get; }
        public event Action OnLoaded;
        public List<UIElement> GetAllUiElements()
        {
            throw new NotImplementedException();
        }

        public Point LinePosition(Point beforeLast)
        {
            throw new NotImplementedException();
        }

        public GraphElement GetModelElement()
        {
            throw new NotImplementedException();
        }

        public void AddConnection(IConnectionView connectionView, bool start, bool withModel = true)
        {
            throw new NotImplementedException();
        }

        public void RemoveConnection(IConnectionView connection, bool start)
        {
            throw new NotImplementedException();
        }

        public void Move(double deltaX, double deltaY)
        {
            throw new NotImplementedException();
        }

        public void Dispose()
        {
            throw new NotImplementedException();
        }

        public Label Model { get; }
    }
}